import { CoordinateEncoding } from './GeoTable';
import { Table } from '../../../types';
import { GeoTable, Track } from './GeoTable';
import { LatLonColumns } from '../../../types/geo';
export declare class NativeGeoTable implements GeoTable {
    coordinateEncoding: CoordinateEncoding;
    table: Table;
    maxRows: number;
    s2Column: string;
    latLonColumns: LatLonColumns;
    constructor(table: Table, maxRows: number, latLonColumns: LatLonColumns, s2Column: string);
    getRowCount(): number;
    getValue(index: number, field: string): number;
    getS2CellID(index: number): string;
    isTruncated(): boolean;
    mapTracks<T, U>(mapper: (track: Track, options: U, index: number) => T, options: U): T[];
    getLatLon: (index: number) => import("./GeoTable").Coordinates;
    getTimeString(index: number): string;
}
